Remove asset
curl --request DELETE \
--url https://api.hubapi.com/marketing/campaigns/2026-09-beta/{campaignGuid}/assets/{assetType}/{assetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/campaigns/2026-09-beta/{campaignGuid}/assets/{assetType}/{assetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/campaigns/2026-09-beta/{campaignGuid}/assets/{assetType}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Assets
Remove asset
Disassociate an asset from a specified campaign. This operation removes the link between the asset and the campaign, effectively detaching the asset from the campaign’s context.
DELETE
/
marketing
/
campaigns
/
2026-09-beta
/
{campaignGuid}
/
assets
/
{assetType}
/
{assetId}
Remove asset
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the asset to be disassociated from the campaign.
The type of asset to be disassociated from the campaign.
The unique identifier of the campaign from which the asset will be disassociated.
Response
Last modified on August 3, 2026
Was this page helpful?
⌘I